Engage > Unsubscribes

Create or update an unsubscribe

Create or update an unsubscribe record for an email address.

POST /api/v1/store/engage/unsubscribes

Create or update an unsubscribe

curl --request POST \
  --url 'https://{baseUrl}/api/v1/store/engage/unsubscribes' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "unsubscribe": {
    "email": "[email protected]",
    "created_at": "2026-03-26T12:00:00.000000Z",
    "updated_at": "2026-03-26T12:00:00.000000Z",
    "automation_id": null,
    "reason": "Customer opted out from checkout."
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Headers

  • Accept string required

    Response format header. Example: application/json

Request Body

application/json
  • email string required

    Email address to unsubscribe.

  • reason string

    Reason the email address was unsubscribed.

Response

application/json
  • unsubscribe object
    + Show Child Attributes
    • email string
    • created_at string
    • updated_at string
    • automation_id string nullable
    • reason string